Skip to content

Intelli Recover Client ​

6 operations. Call any of them with omada_call_operation (or, in full tool mode, as a tool named by its operationId).

OperationMethodSummary
addMonitorClientsPOSTAdd client into intelli recover client list
deleteMonitorClientsDELETEDelete the intelli recover client
getEligibleClientListGETObtain the list of clients that can be monitored
getGridMonitorClientGETGet the intelli recover client list
rebootClientUplinkPoePOSTReboot the client uplinkDevice poe
verifyMonitorClientPOSTVerify if the client is allowed to be monitored

addMonitorClients ​

POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/add

Add client into intelli recover client list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema AddMonitorClientList

FieldTypeRequiredDescription
addClientListarray<MonitorClient>noThe client to be added to the monitor list
json
// omada_call_operation
{
  "operationId": "addMonitorClients",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Add client into intelli recover client list
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

deleteMonitorClients ​

DELETE /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/delete

Delete the intelli recover client

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema DeleteIntelliRecoverClient

FieldTypeRequiredDescription
deleteMacsarray<string>noThe client macs to be deleted from intelli recover client list.
json
// omada_call_operation
{
  "operationId": "deleteMonitorClients",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Delete the intelli recover client
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getEligibleClientList ​

GET /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/eligible-client-grids

Obtain the list of clients that can be monitored

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getEligibleClientList",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Obtain the list of clients that can be monitored
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

getGridMonitorClient ​

GET /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/grids

Get the intelli recover client list

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)
pagequeryintegernoStart page number. Start from 1. (default 1)
pageSizequeryintegernoNumber of entries per page. It should be within the range of 1–1000. (default 100)
json
// omada_call_operation
{
  "operationId": "getGridMonitorClient",
  "params": {
    "siteId": "<siteId>"
  }
}
Details, permissions and error codes

Get the intelli recover client list
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

rebootClientUplinkPoe ​

POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/reboot-uplink-poe

Reboot the client uplinkDevice poe

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema MonitorClient

FieldTypeRequiredDescription
idstringnoThe monitor client Id
customIdstringnoThe client Id
namestringnoThe client name
macstringyesThe client mac
ipstringnoThe client ip
deviceTypeintegernoThe client type
typestringnoThe client type.Such as: ap, switch, gateway
showModelstringnoThe client showModel
specialModelstringnoThe client specialModel
modelstringnoThe client model
modelVersionstringnoThe client modelVersion
modelModelVersionstringnoThe client modelModelVersion
clientFlagbooleannoWhether the device is a client
statusCategoryintegernoWhether the client is online
monitoringStatusintegernoThe client monitoringStatus
recoveryCyclesintegernoThe client recoveryCycles
ClientUplinkDeviceClientUplinkDeviceno(ClientUplinkDevice not expanded; call omada_get_schema "ClientUplinkDevice")
eligibleFlagbooleannoWhether the client can be monitored
notEligibleReasonstringnoThe reason of the client can't be monitored
json
// omada_call_operation
{
  "operationId": "rebootClientUplinkPoe",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Reboot the client uplinkDevice poe
The interface requires one of the permissions:
Device Recovery Modify
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

verifyMonitorClient ​

POST /openapi/v1/{omadacId}/sites/{siteId}/monitor-client/verify

Verify if the client is allowed to be monitored

ParameterInTypeRequiredDescription
omadacIdpathstringautoOmada ID (filled in automatically)
siteIdpathstringyesSite ID (site ID or site name)

Request body — application/json (required) — schema VerifyClientVO

FieldTypeRequiredDescription
monitorClientMonitorClientno(MonitorClient not expanded; call omada_get_schema "MonitorClient")
json
// omada_call_operation
{
  "operationId": "verifyMonitorClient",
  "params": {
    "siteId": "<siteId>"
  },
  "body": "{...}"
}
Details, permissions and error codes

Verify if the client is allowed to be monitored
The interface requires one of the permissions:
Device Recovery View Only
The possible error code for the interface in the returned body is one of the following error codes (non generic error codes):
-1001 - Invalid request parameters.
-33004 - Operation failed because other operations (site copying, restoring, template synchronizing, etc.) are being performed on this site. Please wait and try again later.

Released under the MIT License. Not affiliated with or endorsed by TP-Link.